import * as $dara from '@darabonba/typescript';
export declare class DescribeVulCheckTaskStatusDetailRequest extends $dara.Model {
    /**
     * @remarks
     * The task IDs.
     */
    taskIds?: string[];
    /**
     * @remarks
     * The types of the vulnerabilities that are detected by the tasks.
     */
    types?: string[];
    /**
     * @remarks
     * The UUID of the server.
     *
     * @example
     * 5d55af3c-35f3-4d4d-8ccc-8c5443b0****
     */
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
